> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobula.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Metadata (batch)

### Query details

| Name          | Type   | Description                                      |
| ------------- | ------ | ------------------------------------------------ |
| `ids`         | string | Comma-separated list of asset IDs to filter.     |
| `assets`      | string | Comma-separated list of asset names to filter.   |
| `blockchains` | string | Blockchain name(s) to filter results.            |
| `symbols`     | string | Comma-separated list of token symbols to filter. |

* You can query metadata for multiple assets at the same time. Input the names of the assets or the contract addresses with the respective blockchains as parameters. The market data asset query pattern is explained [in great details here](/rest-api-reference/docs/market-asset-query), with blockchain format, etc.

* We will map the first blockchain with the first contract address found, and so on.

* It is also possible to query using symbols - in that situation mobula sorts all assets with the same symbol and returns the one with the highest market cap - particularly useful if you need to map data coming from CEX trading pairs - if symbol is used, asset isn't mandatory anymore.

<Note>
  Some assets have enriched data about fundraising, tokenomics, investors, etc., which you can explore on mobula.io. Note that some assets may not have the id field due to them not being listed on Mobula.
</Note>

### Usage Examples

* Query by multiple `Asset Addresses` & `blockchains`

```bash theme={null}
curl -X GET "https://demo-api.mobula.io/api/1/multi-metadata?assets=HJgXhTq1rBBiU7VTBxJx8Cij2sfbf83s6tQw9PwcBAGS,6sPDCfGt164EyyBiQHq8xEW9pfvEMo4nMBkVMmGtbonk,6k11opv4n5p2yZ8ynz5fWBGRiNVhDc8heKELkWmSUMUi,8HsnjF5mGbCq8UKonbgbWrWJ56x9tKzWtS6g7uY8j6oT,DMX14Kw1i4aRxJ8pFjPT5tYbkWvmAunHoPcWaMdrBAGS,Ca1DCtktV6KTPok1bPhbGsyjgfm9f5VjequkigxNbonk,FrFkyRDK7K7oBabEvKcFjGRbT245cnNWn2XPiW4nbonk,CNPP463F7BqSWCMNAiHs94fgmVNoDgdyZbwGE2ZhBAGS,4ebiC8RsXbjr9hNsQZawtuNHq6YjeBtrn43JMD2rBAGS,GY7yB6ovfskQMyrXMRDa4cKPtFBABFac8qREcYosPdDv,3fnuuHNgU5LMbSjAmjZHhBoVXxFVNUmU8BvAbC1Zpump,7WfpjLpsMEhjfGzYmGNtWcx2MZ7hXDV66WztZg2dbunt,7J4ejHLtT6pCv4ec173d6HtMGa9HxSwd34596w4kBAGS,AkuqhZHDofE7V1dAyh6M4tUWabhyuNJ2dexwnVVsjups,FZqHDGiCWAQgoWnx7bnW5SGU7SdSqy75ZNryJH9Bbonk,0x22fA7FD918A4364dE63Be573D8982af47D9cb6bA,7nxtyHMp799UU7e6wHHSeVyqzpcjR6LSgZjD2Z1UCjQL,7CfWgC7jVVfbHbATtyvDjq4M1VCutM3b7HEpgGRCbonk,B3JwWkg1dujrvQJi4VExFgXK8r1pMFrvJodi24tmbonk&blockchains=solana,solana,solana,solana,solana,solana,solana,solana,solana,solana,solana,solana,solana,solana,solana,1,solana,solana,solana"
```

* Query by multiple `ids`

```bash theme={null}
curl -X GET "https://demo-api.mobula.io/api/1/multi-metadata?ids=2,3"
```

-Query by multiple `Asset Names`

```bash theme={null}
curl -X GET "https://demo-api.mobula.io/api/1/multi-metadata?assets=ethereum,solana,avalanche"
```


## OpenAPI

````yaml get /1/multi-metadata
openapi: 3.0.0
info:
  version: 1.0.0
  title: Mobula API
  description: >-
    Documentation of the Mobula API


    **Demo API**: The default server (demo-api.mobula.io) is a demo API with
    rate limits.

    For production use, please use api.mobula.io with an API key from
    https://admin.mobula.io
servers:
  - url: https://demo-api.mobula.io/api/
    description: Demo API (rate limited, for testing only)
  - url: https://api.mobula.io/api/
    description: Production API (requires API key)
security: []
tags:
  - name: V2 - Token
    description: Token details, price, security, ATH, and holder data
  - name: V2 - Market Data
    description: Market details, OHLCV history, and lighthouse metrics
  - name: V2 - Trades
    description: Token trades, enriched trades, and trade filters
  - name: V2 - Wallet
    description: Wallet positions, activity, trades, analysis, and labels
  - name: V2 - Assets
    description: Cross-chain asset details and price history
  - name: V2 - Swap
    description: Swap quoting and execution
  - name: V2 - Perps
    description: Perpetual futures quoting, execution, and positions
  - name: V2 - Bridge
    description: Cross-chain bridge quoting and intent status (Alpha Preview)
  - name: V2 - DeFi
    description: Bonding pools and pulse data
  - name: V2 - Search
    description: Universal fast search
  - name: V2 - Usage
    description: Per-key API and WebSocket usage history
  - name: V2 - Blockchains
    description: System metadata and chain listings
  - name: V2 - Prediction Markets
    description: >-
      Polymarket markets/events, wallet positions, and the full execution stack
      (auth, order build/submit/cancel, approvals, pUSD wrap/unwrap, deploy,
      deposit/withdraw, redeem). Alpha — see /api/2/pm/*.
  - name: V1 - Market Data
    description: Market prices, history, sparklines, pairs, and multi-data
  - name: V1 - Wallet
    description: Wallet portfolio, transactions, history, and NFTs
  - name: V1 - Token
    description: First buyers
  - name: V1 - Trades
    description: Market trades by pair
  - name: V1 - Metadata
    description: Token metadata, categories, trendings, and news
  - name: V1 - Assets
    description: List all assets
  - name: V1 - Search
    description: Search for assets, tokens, and pairs
  - name: V1 - DeFi
    description: Bonding pool pulse data
  - name: V1 - Blockchains
    description: Blockchain listings, pairs, and stats
  - name: V1 - Webhooks
    description: Webhook management
  - name: V1 - Feed
    description: Custom feed creation
paths:
  /1/multi-metadata:
    get:
      tags:
        - V1 - Metadata
      summary: Get multi metadata
      parameters:
        - schema:
            type: string
            description: Comma-separated asset IDs
          required: false
          description: Comma-separated asset IDs
          name: ids
          in: query
        - schema:
            type: string
            description: Comma-separated token contract addresses
          required: false
          description: Comma-separated token contract addresses
          name: assets
          in: query
        - schema:
            type: string
            description: Comma-separated blockchain IDs
          required: false
          description: Comma-separated blockchain IDs
          name: blockchains
          in: query
        - schema:
            type: string
            description: Comma-separated token symbols
          required: false
          description: Comma-separated token symbols
          name: symbols
          in: query
      responses:
        '200':
          description: Multi metadata response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        data:
                          type: object
                          properties:
                            id:
                              type: number
                              nullable: true
                            name:
                              type: string
                            symbol:
                              type: string
                            rank:
                              type: number
                              nullable: true
                            contracts:
                              type: array
                              items:
                                type: string
                            blockchains:
                              type: array
                              items:
                                type: string
                            decimals:
                              type: array
                              items:
                                type: number
                            twitter:
                              type: string
                              nullable: true
                            website:
                              type: string
                              nullable: true
                            logo:
                              type: string
                              nullable: true
                            price:
                              type: number
                              nullable: true
                            market_cap:
                              type: number
                            liquidity:
                              type: number
                            volume:
                              type: number
                            description:
                              type: string
                              nullable: true
                            kyc:
                              type: string
                              nullable: true
                            audit:
                              type: string
                              nullable: true
                            total_supply_contracts:
                              type: array
                              items:
                                type: string
                            circulating_supply_addresses:
                              type: array
                              items:
                                type: string
                            total_supply:
                              type: number
                            circulating_supply:
                              type: number
                            discord:
                              type: string
                              nullable: true
                            max_supply:
                              type: number
                              nullable: true
                            chat:
                              type: string
                              nullable: true
                            tags:
                              type: array
                              items:
                                type: string
                            investors:
                              type: array
                              items:
                                type: object
                                properties:
                                  lead:
                                    type: boolean
                                  name:
                                    type: string
                                  type:
                                    type: string
                                  image:
                                    type: string
                                  country_name:
                                    type: string
                                  description:
                                    type: string
                                required:
                                  - lead
                                  - name
                                  - type
                                  - image
                                  - country_name
                                  - description
                            distribution:
                              type: array
                              items:
                                type: object
                                properties:
                                  percentage:
                                    type: number
                                  name:
                                    type: string
                                required:
                                  - percentage
                                  - name
                            release_schedule:
                              type: array
                              items:
                                type: object
                                properties:
                                  allocation_details:
                                    type: object
                                    additionalProperties:
                                      type: number
                                  tokens_to_unlock:
                                    type: number
                                  unlock_date:
                                    type: number
                                required:
                                  - allocation_details
                                  - tokens_to_unlock
                                  - unlock_date
                            cexs:
                              type: array
                              items:
                                type: object
                                properties:
                                  logo:
                                    type: string
                                    nullable: true
                                  name:
                                    type: string
                                    nullable: true
                                  id:
                                    type: string
                                required:
                                  - logo
                                  - name
                                  - id
                            listed_at:
                              type: string
                              nullable: true
                            deployer:
                              type: string
                              nullable: true
                            source:
                              type: string
                              nullable: true
                            others:
                              type: object
                              nullable: true
                              additionalProperties:
                                nullable: true
                            dexscreener_listed:
                              type: boolean
                              nullable: true
                            dexscreener_header:
                              type: string
                              nullable: true
                            dexscreener_ad_paid:
                              type: boolean
                              nullable: true
                            live_status:
                              type: string
                              nullable: true
                            live_thumbnail:
                              type: string
                              nullable: true
                            livestream_title:
                              type: string
                              nullable: true
                            live_reply_count:
                              type: number
                              nullable: true
                            telegram:
                              type: string
                              nullable: true
                            twitterRenameCount:
                              type: number
                              nullable: true
                            twitterRenameHistory:
                              type: array
                              nullable: true
                              items:
                                type: object
                                properties:
                                  username:
                                    type: string
                                  last_checked:
                                    type: string
                                required:
                                  - username
                                  - last_checked
                          required:
                            - id
                            - name
                            - symbol
                            - contracts
                            - blockchains
                            - decimals
                            - twitter
                            - website
                            - logo
                            - price
                            - market_cap
                            - liquidity
                            - volume
                            - description
                            - kyc
                            - audit
                            - total_supply_contracts
                            - circulating_supply_addresses
                            - total_supply
                            - circulating_supply
                            - discord
                            - max_supply
                            - chat
                            - tags
                            - investors
                            - distribution
                            - release_schedule
                            - cexs
                            - listed_at
                            - deployer
                            - source
                      required:
                        - data
                required:
                  - data

````